---
title: Intl.Segmenter.prototype.segment()
slug: Web/JavaScript/Reference/Global_Objects/Intl/Segmenter/segment
---
<p>{{JSRef}}</p>

<p>Getter function that segments a string according to the locale and granularity of this <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Segmenter"><code>Intl.Segmenter</code></a> object.</p>
